## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanTransformer.hpp File Reference

Include dependency graph for XalanTransformer.hpp:

Go to the source code of this file.

## Classes

- class XalanTransformer
    This is a simple C++ interface for some common usage patterns. More...
- class XalanTransformer::EnsureFunctionsInstallation
- class XalanTransformer::EnsureDestroyParsedSource
- struct XalanTransformer::EnsureDestroyCompiledStylesheet
- struct XalanTransformer::EnsureDestroyDocumentBuilder
- struct XalanTransformer::DeleteParamPairFunctor

## Defines

- #define XALANTRANSFORMER_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  ErrorHandler ErrorHandlerType

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  EntityResolver EntityResolverType

## Define Documentation

#define XALANTRANSFORMER_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER ErrorHandler ErrorHandlerType

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER EntityResolver EntityResolverType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.